LicenseController Methods |
The LicenseController type exposes the following members.
| Name | Description | |
|---|---|---|
| CanCreateAccount | GET /License/CanCreateAccount/{id}
Check against the license to see if an account can be created.
| |
| DeleteLicense | DELETE /License/
Deletes an license.
| |
| EnsureCallerContext |
If the current context is not already the specified context, creates a new caller context which is
a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.) | |
| EnsureFormFileMultipartContent |
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.) | |
| GetClientIdFromCookieOrProvided |
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetInstalledLicenses | GET /License/InstalledLicenses
Gets the installed licenses.
| |
| GetLicenseById | GET /License/
Gets a license with the specified ID.
| |
| GetRemainingSeatUsage | GET /License/RemainingSeatUsage/
Get the remaining seat usage for Dundas BI.
| |
| GetSeatUsage | GET /License/SeatUsage/
Get the seat usage for Dundas BI.
| |
| GetSeatUsageForTenant | GET /License/SeatUsage/{id}
Get the seat usage for Dundas BI for tenants.
| |
| GetServiceT |
Gets the requested service.
(Inherited from ApiControllerBase.) | |
| GetSessionIdFromCookieHeaderOrProvided |
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetWatermarkText | GET /License/Watermark/
Gets the watermark text.
| |
| InstallLicense | POST /License/
Installs a new license.
| |
| InstallLicenseFile | POST /License/File
Installs a new license from a file. This API call expects form files inside the request body.
| |
| IsFeatureEnabled | GET /License/Feature/{id}
Checks to see if a feature is enabled.
| |
| LoadSession |
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.) | |
| RequestFirstFormFile |
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.) | |
| RequestFormFiles |
Retrieves the form files from the request.
(Inherited from ApiControllerBase.) | |
| ReturnInvalidWindowsIdentityResponse |
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.) |